﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.SharePoint.Administration;

namespace TranslatorServiceApplicationDemo
{
  [System.Runtime.InteropServices.Guid("0B42E5CF-B5BC-438C-997F-996E61CE572E")]
  //[SupportedServiceApplication("0B42E5CF-B5BC-438C-997F-996E61CE572C",
  //    "1.0.0.0", typeof(TranslationServiceApplicationProxy))]
  [SupportedServiceApplication("Foo",
    "1.0.0.0", typeof(TranslationServiceApplicationProxy))]
  class TranslationServiceProxy : SPIisWebServiceProxy, IServiceProxyAdministration
  {

    public TranslationServiceProxy()
    {
    }

    internal TranslationServiceProxy(SPFarm farm)
      : base(farm)
    {
    }

    public SPServiceApplicationProxy CreateProxy(Type serviceApplicationProxyType, string name, Uri serviceApplicationUri, SPServiceProvisioningContext provisioningContext)
    {
      return new TranslationServiceApplicationProxy(name, this, serviceApplicationUri);
    }

    public SPPersistedTypeDescription GetProxyTypeDescription(Type serviceApplicationProxyType)
    {
      return new SPPersistedTypeDescription(
               "Translation Web Service Proxy",
               "Connects to the Translation Web Service.");
    }

    public Type[] GetProxyTypes()
    {
      return new Type[] { typeof(TranslationServiceApplicationProxy) };
    }
  }
}
