<%@ Assembly Name="TranslatorServiceApplicationDemo, Version=1.0.0.0, Culture=neutral, PublicKeyToken=0fe8e0c60560ba08" %>
<%@ Import Namespace="Microsoft.SharePoint.ApplicationPages" %>
<%@ Register TagPrefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls"
    Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="asp" Namespace="System.Web.UI" Assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>

<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="TranslationServiceCreate.aspx.cs"
    Inherits="TranslatorServiceApplicationDemo.Layouts.TranslatorServiceApplicationDemo.TranslationServiceCreate"
    MasterPageFile="~/_layouts/dialog.master" %>

<%@ Register TagPrefix="wssuc" TagName="InputFormSection" Src="/_controltemplates/InputFormSection.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormControl" Src="/_controltemplates/InputFormControl.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="IisWebServiceApplicationPoolSection" Src="~/_admin/IisWebServiceApplicationPoolSection.ascx" %>
<asp:Content ID="Content1" ContentPlaceHolderID="PlaceHolderDialogHeaderPageTitle"
    runat="server">
    <asp:Literal ID="CreateAppTitle" Text="Translation Service Application" runat="server" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="PlaceHolderDialogDescription" runat="server">
    <asp:Literal ID="CreateAppDesc" Text="Create a new Translation service application"
        runat="server" />
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PlaceHolderDialogBodyMainSection"
    runat="server">
    <TABLE class=propertysheet border="0" width="100%" cellspacing="0" cellpadding="0" id="diidProjectPageOverview">
        <wssuc:InputFormSection Title="Name" Description="Specify the name for this service application instance."
            runat="server">
            <template_inputformcontrols>
				<wssuc:InputFormControl LabelText="" LabelAssociatedControlID="m_asAppName" runat="server">
					<Template_control>
						<SharePoint:InputFormTextBox title="Name" class="ms-input" ID="m_asAppName" Columns="35" Runat="server" MaxLength=256 />
						<SharePoint:InputFormRequiredFieldValidator ID="m_asAppNameValidator" 
							ControlToValidate="m_asAppName" 
							ErrorMessage="Required field"
							width='300px'
							Runat="server"/>
						<SharePoint:InputFormCustomValidator ID="m_uniqueNameValidator" 
							ControlToValidate="m_asAppName" 
							OnServerValidate="ValidateUniqueName" 
							runat="server" />
					</Template_control>
				</wssuc:InputFormControl>
			</template_inputformcontrols>
        </wssuc:InputFormSection>
        <wssuc:IisWebServiceApplicationPoolSection id="m_applicationPoolSection" runat="server" />
        <wssuc:InputFormSection Title="Set as Default" Description="" runat="server">
            <template_inputformcontrols>
				<wssuc:InputFormControl LabelText="" LabelAssociatedControlID="m_default" runat="server">
					<Template_control>
					   <asp:CheckBox ID="m_default" Runat="server" 
						Text="Set this instance as the default Translation service application." 
						Title="Set as Default" checked="true" />
					</Template_control>
				</wssuc:InputFormControl>
			</template_inputformcontrols>
        </wssuc:InputFormSection>
    </table>
    <SharePoint:FormDigest ID="FormDigest1" runat="server" />
</asp:Content>
